/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       Delay.h
 *    \author     Baciu Vlad-Eusebiu
 *    \brief      Exports Delay_gv_Us and Delay_gv_Ms functions.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

#ifndef DELAY_H
#define DELAY_H

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/
#include "Std_Types.h"
#include "stm32f407xx.h"
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                            Definition Of Global Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Definition Of Global Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Variables                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Constants                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Functions                                            */
/*-------------------------------------------------------------------------------------------------------------------*/
extern void Delay_gv_Us(uint32 Us);
extern void Delay_gv_Ms(uint32 Ms);
/*-------------------------------------------------------------------------------------------------------------------*/
#endif /* DELAY_H */
